delete network.md

Delete Network

Infra API · Networks

DELETE https://app.mk.io/api/v1/projects/{project_name}/infra/networks/{name}

Delete a network. If the network does not exist, this API will return a 204. To learn more about networks, read Network Concept.

RBAC Capability Required: infra.network.delete

Authentication

Path parameters

Name Type Required Description
project_name string Yes
name string Yes

Example request

curl -X DELETE "https://app.mk.io/api/v1/projects/{project_name}/infra/networks/{name}" \
  -H "Authorization: Bearer <token>"

Responses

200 — Network deleted.

No response body.

204 — Nothing to delete.

No response body.

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

409 — Network is referenced by existing available network, destination or content source.

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

Source spec: infrastructure-api · operationId: [delete]_/api/v1/projects/{project_name}/infra/networks/{name}